Skip to main content

Get all service request history

GEThttps://api.propexo.com/v1/service-request-history/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
service_request_id string

The Propexo unique identifier for the service request

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: 2024-01-10T00:00:00.000Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl9kz7rp10002usxq3mk0e2gl
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl9kz7rp10003usxq3mk0e2gl
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the service request history

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: In Progress
    status_rawstring | nullnullablerequired

    The raw status associated with the service request history

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: In Progress
    creator_namenullrequired

    The name or username of the person who created the service request history record

    Notice

    This field will always be null for YARDI_REST

    Example: null
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl7t4tlme0000usxq5zk0e5gl
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-request-history/
curl https://api.propexo.com/v1/service-request-history/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2024-01-10T00:00:00.000Z",
"x_id": "cl9kz7rp10002usxq3mk0e2gl",
"x_property_id": "cl9kz7rp10003usxq3mk0e2gl",
"x_location_id": null,
"notes": "In Progress",
"status_raw": "In Progress",
"creator_name": null,
"service_request_id": "cl7t4tlme0000usxq5zk0e5gl",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}